<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Estado Civil</title>
        <h:outputStylesheet name="style.css" library="css" />
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 

                <p:fieldset legend="Agregar Estado Civil" style="margin-bottom:10px" >
                    <h:form id="formEstado">
                        <p:growl id="mensaje"/>
                        <h:panelGrid columns="2" cellpadding="2" cellspacing="2">

                            <p:outputLabel value="Estado Civil" style="margin-right:30px;"/>
                            <p:inputText value="#{estado_civilController.estado_civil.estado}" />
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save" rendered="#{estado_civilController.estado_civil.estado==null}" value="Registrar" actionListener="#{estado_civilController.guardar()}" update="listaEstado,formEstado,:formEstado:mensaje"/>
                            </div>
                                <p:commandButton icon="pi pi-times" rendered="#{estado_civilController.estado_civil.estado!=null}" value="Cancelar" actionListener="#{estado_civilController.init()}" update="listaEstado,formEstado,:formEstado:mensaje"/>
                                <p:commandButton  icon="pi pi-refresh" rendered="#{estado_civilController.estado_civil.estado!=null}" value="Actualizar" actionListener="#{estado_civilController.editar()}" update="listaEstado,formEstado,:formEstado:mensaje"/>

                        </h:panelGrid>
                    </h:form>
                </p:fieldset>
           
                <p:fieldset legend="Listado de Estado Civil">
                    <h:form id="listaEstado" class="dosColumnas">
                        <p:dataTable value="#{estado_civilController.lista}" var="ver" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Estado Civil">
                                <p:outputLabel value="#{ver.estado}" />
                            </p:column>
                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" action="#{estado_civilController.eliminar(ver)}" update=":listaEstado, :formEstado:mensaje"/>
                                </div>
                                <div class="editar"> 
                                    <p:commandButton  icon="pi pi-pencil" value="Editar" action="#{estado_civilController.consultarById(ver)}" update=":formEstado"/>
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>
